version: "3.7"

services:
  vscode:
    image: "docker.pkg.github.com/nolte/vscode-devcontainers/devops:latest"
    volumes:
      - "../:/go/src/github.com/nolte/k8s-logging:cached"
      - ~/.ssh:/home/vscode/.ssh:ro
      - /var/run/docker.sock:/var/run/docker.sock
      - /home/nolte/repos/tf-k8s-logging:/tf-k8s-logging
      ## reuse volumes for extensions
      - k8s-logging-vol:/home/vscode/.vscode-server/extensions
      # And/or for VS Code Insiders
      - k8s-logging-vol-insiders:/home/vscode/.vscode-server-insiders/extension      
    environment:
      - TZ=Europe/Berlin # $(cat /etc/timezone)
    cap_add:
      - SYS_PTRACE
    security_opt:
      - seccomp:unconfined
    entrypoint: zsh -c "while sleep 1000; do :; done"
    network_mode: "host"

volumes:
  k8s-logging-vol:
  k8s-logging-vol-insiders:
